-------------------------------------------------------------------------------
-- MrCurrency
--
-- Data Broker source for Currency
--
-- Send suggestions, comments, and bugs to user@zedonline.net
-------------------------------------------------------------------------------

local MRCHooks = LibStub("AceHook-3.0");
LibStub("AceAddon-3.0"):GetAddon("MrCurrency").Hooks = MRCHooks;

function MRCHooks:OnEnable()
	print("Hooking up LoadUI")
	self:SecureHook("ArchaeologyFrame_LoadUI", nil, true);
end

--function MRCHooks:ArchaeologyFrame_LoadUI()
--	self:SecureHook("ArchaeologyFrame_OnShow", nil, true);
--	self:Unhook("ArchaeologyFrame_LoadUI");
--end

function MRCHooks:ArchaeologyFrame_LoadUI()
	UIDropDownMenu_Initialize(MRCArtifactTracking, function() MrCurrency:InitializeArchaeologyTrackingList() end);

	MRCArtifactTracking:SetParent(ArchaeologyFrame);
	MRCArtifactTracking:ClearAllPoints();
	MRCArtifactTracking:SetPoint("TOPRIGHT", ArchaeologyFrame, "TOPRIGHT", -8, 2);
	MRCArtifactTracking:Show();
	UIDropDownMenu_SetWidth(MRCArtifactTracking, 72);	
end
